{"bugs":{"url":"https://github.com/SorinGFS/idn-hostname/issues"},"dist":{"shasum":"a51bbe55fcff63c62669753ce2a414fd570512e2","tarball":"https://registry.npmjs.org/idn-hostname/-/idn-hostname-15.1.13.tgz","fileCount":6,"integrity":"sha512-crl//tsrGE6OpIpQxwYVRCgRRF3a/3fhgt8GOHCKMVTTqI+LvwYkxxhMEzW6jIm1pMUApF6ieM1VIiE5Y0Lbjg==","signatures":[{"sig":"MEUCICDHCaroyMw8Tv/8/S1wvO1xXqlxgFS11UnKbQo1YfzeAiEAlaEA9iv+7qyhpPNYlfeOAuOAhamCyA4z8ajr8FGjyKo=","keyid":"SHA256:DhQ8wR5APBvFHLF/+Tc+AYvPOdTpcIDqOhxsBHRwC7U"}],"unpackedSize":206431},"main":"index.js","name":"idn-hostname","type":"commonjs","types":"./index.d.ts","author":{"name":"SorinGFS"},"gitHead":"59a669a17cbace350a3e5e56ddfb14c0c03bf349","license":"MIT","scripts":{"test":"echo \"Error: no test specified\" && exit 1"},"_npmUser":{"name":"soringfs","email":"sorin.gfs@protonmail.com"},"homepage":"https://github.com/SorinGFS/idn-hostname#readme","keywords":["idn-hostname","idna","validation","unicode","mapping"],"repository":{"url":"git+https://github.com/SorinGFS/idn-hostname.git","type":"git"},"_npmVersion":"11.14.1","description":"An internationalized hostname validator as defined by RFC5890, RFC5891, RFC5892, RFC5893, RFC3492 and UTS#46","directories":{},"maintainers":[{"name":"soringfs","email":"sorin.gfs@protonmail.com"}],"_nodeVersion":"24.0.2","dependencies":{"punycode":"^2.3.1"},"_hasShrinkwrap":false,"devDependencies":{"@types/punycode":"^2.1.4"},"_npmOperationalInternal":{"tmp":"tmp/idn-hostname_15.1.13_1787914225140_0.7367700018786125","host":"s3://npm-registry-packages-npm-production"},"_id":"idn-hostname@15.1.13","version":"15.1.13"}